#!/bin/sh

#si no existe el directorio /tmp/stream lo crea
if [ ! -d /tmp/stream ]
then
    mkdir /tmp/stream/
fi

raspistill --nopreview -w 640 -h 480 -q 5 -o /tmp/stream/pic.jpg -tl 10 -t 9999999 -th 0:0:0 > /dev/null 2>&1&
# raspistill es la herramienta encargada de capturar los fotogramas y ajustar sus caracteristicas mediante las siguientes opciones:
#   --nopreview			evita que aparezca una vista previa en el monitor conectado a la raspberry
#   -w 640 -h 480		se establecen la anchura (640px) y la altura (480px) de la imagen
#   -q 5			calidad del jpg [0-100], se elige una calidad reducida para agilizar las tareas del servidor
#   -o /tmp/stream/pic.jpg	nombre y ubicacion del archivo de salida
#   -tl 10 -t 9999999		establece 10 milisegundos entre la captura de fotos durante un tiempo total de la secuencia de 9999999 milisegundos
#   -th 0:0:0			se establecen los parametros de la miniatura (ancho:alto:calidad), se deja a 0 para que ocupe menos
#   > /dev/null 2>&1		junta la salida estandar y de error redireccionandolas para que no se obtenga informacion de salida

LD_LIBRARY_PATH=/usr/local/lib mjpg_streamer -i "input_file.so -f /tmp/stream -n pic.jpg" -o "output_http.so -w /usr/local/www -p 8080" > /dev/null 2>&1&
# mjpg_streamer es la herramienta que usa las imagenes capturadas por raspistill para ofrecer un streamer de video, creando ademas un servidor web ligero sobre otro puerto
# para mostrar el contenido a traves de HTTP. Estas son sus opciones:
#   -i				corresponde con el plugin de entrada, se le pasa el directorio (-f) y el nombre (-n) del archivo a copiar
#   -o				corresponde con el plugin de salida, sirve las imagenes copiadas indicandole el directorio donde esta instalada la aplicacion (-w) y el puerto (-p)
#   > /dev/null 2>&1            junta la salida estandar y de error redireccionandolas para que no se obtenga informacion de salida
