<?php include ("../acceso/seguridad.php");	//verifica que el usuario está correctamente identificado?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8"/>
    <title>Camara</title>
    <link rel="stylesheet" type="text/css" href="../css/style.css">
    <link rel="stylesheet" type="text/css" href="../css/menu.css">
    <link rel="stylesheet" type="text/css" href="../css/estilo_range.css">
    <link rel="icon" type="image/png" href="../img/logo_raspy.png">
	<?php
		include ("../controladores/controladorAccesoBD.php");		//nos conectamos a la Base de Datos
		include ("../controladores/controladorEstadoCamara.php");	//controlador que selecciona el estado de la cámara: 1 (encendida) ó 0 (apagada)
	?>
</head>

<body>
	<header> 
    	<img src="../img/logo_raspy.png" width="115" height="115" class="imgCabecera" align="absmiddle">
        <span class="tituloCabecera">Sistema de seguridad y monitorización basado en Raspberry Pi</span>
    </header>
    
	
    <div id="menu">
		<ul>
  			<li class="nivel1"><a href="./inicio.php" class="nivel1">Inicio</a></li>
  			<li class="nivel1"><a href="./camara.php" class="nivel1">Cámara</a>
           	 	<ul>
                    <li><a href="./galeria.php">Galería</a></li>
				</ul>
           	</li>
  			<li class="nivel1"><a href="./informes.php" class="nivel1">Informes</a>
				<ul>
                    <li><a href="./contenedorPDF.php">Informes Guardados</a></li>
				</ul>
			</li>
  			<li class="nivel1"><a href="./alertas.php" class="nivel1">Alertas</a></li>
  			<li class="nivel1"><a href="./control.php" class="nivel1">Control</a></li>
            <li class="cerrar"><a href="./salir.php" class="nivel1">Cerrar Sesión</a></li>
		</ul>
	</div>
    
    
   	<section id="seccion0">
    	<section id="OnOffCam">
        	<form id="OnOffCam" method="post">
         		<table align="center" border="0" style="border-spacing:50px 2px;">
            		<tbody>
         				<tr>
                            <td style="text-align: center;"><button class="boton-style" name="CamON">Cam ON</button></td>
                            <td style="text-align: center;"><button class="boton-style" name="CamOFF">Cam OFF</button></td>
                        	<?php include ("../controladores/controladorEncendidoApagadoCamara.php");  //controlador del encendido/apagado de la cámara?>
                        	<td>
                        		<?php //dependiendo si la cámara está encendida mostraremos una imagen u otra
									if (mysql_result($resultado_estado_PiCamera,0)){ ?>
										<img src="../img/botonON.png">
								<?php } else{ ?>
                                    	<img src="../img/botonOFF.png">
                            	<?php } ?>
                        	</td>
          				</tr>
        			</tbody>
          		</table>
       		</form>
        </section>
    
     	<section id="streaming">
            <center>
            	<!--accedemos a la aplicación MJPG-Streamer: http://tfgjgp.ddns.net:8080 (o también: http://192.168.0.127:8080, pero solo serviría en local) a 				través del puerto 8080 y hacemos uso de la utilidad destinada al streaming: ?action=stream-->
                <img src="http://tfgjgp.ddns.net:8080/?action=stream" alt="Imagen en directo" width="640" height="480"/>
            </center>
 		</section>
        
        <section id="manejoServo">
        	<form method="post">
                <button name="servoIzquierda" style="border:0;background-color:transparent;"><img src="../img/servo_izquierda.png" alt="izquierda" /></button>
                <button name="servoCentrado" style="border:0;background-color:transparent;"><img src="../img/servo_centrado.png" alt="centro" /></button>
                <button name="servoDerecha" style="border:0;background-color:transparent;"><img src="../img/servo_derecha.png" alt="derecha" /></button> 
                <?php  include ("../controladores/controladorServo.php");  //controlador que se encarga de mover el servomotor?>
        	</form>
        </section>
    
		<section id="operacionesCamara">        
        	<form id="calidadYduracion"method="post">
        		<table align="center" border="0" style="border-spacing: 20px 2px;">
                 	<tr>
                        <td><span class="titulo_cuerpo">Calidad de la Imagen (%):</span></td>
                        <td><span class="titulo_cuerpo">Duración del Video (s):</span></td>
                  	</tr>
          			<tr>
            			<td>
                        	<div id="slider">
                            	<!--la calidad de la imagen será expresada mediante un porcentaje, tomando como valor predeterminado el 50%-->
                        		<input class="bar" type="range" name="calidad" id="rangeinput" min="0" max="100" value="50" step="1" onchange="rangevalue.value=value"/>
                        		<span class="highlight"></span>
                        		<output id="rangevalue">50</output>
                    		</div>
                       	</td>
            			<td>
                        	<div id="slider">
                            	<!--la duración de la grabación será expresada en segundos con un máximo de 60 segundos, valor predeterminado: 5s-->
                        		<input class="bar" type="range" name="duracion" id="rangeinput" min="0" max="60" value="5" step="1" onchange="rangevalue2.value=value"/>
                        		<span class="highlight"></span>
                        		<output id="rangevalue2">5</output>
                   			</div>
                       	</td>
          			</tr>
          			<tr>
                        <td><button name="capturarImagen" class="boton-style2" >Capturar Imagen</button></td>
                        <td><button name="grabarVideo" class="boton-style2" >Grabar Video</button></td>
          			</tr>
        		</table>
                <?php include ("../controladores/controladorOperacionesCamara.php");//controlador que gestiona la captura de fotos y la grabación de vídeos?>
        	</form>
		</section>
        
        <br/>
        <?php
			mysql_free_result($resultado_estado_PiCamera); //liberamos memoria
		 	mysql_close($bdconex); //nos desconectamos de la base de datos
		?>
	</section>
      
      
   	<footer>
    	<table id="pie" align="center" width="100%">
        	<tr>
            	<td id="pie_izquierda">
                	<b>Autor:</b> Javier García Prieto
            		<br/>
            		<b>Contacto:</b> <a href="mailto:javier.garcia.prieto@alumnos.uva.es" style="text-decoration:none; color:#FFF">javier.garcia.prieto@alumnos.uva.es
                </td>
                <td id="pie_derecha">
                	<b>Trabajo de Fin de Grado:</b>
            		<br/>
            		"Sistema de seguridad y monitorización basado en Raspberry Pi"
                </td>
            </tr>
            <tr>
                <td id="pie_centro" colspan="2">
               		Universidad de Valladolid
        			<br/>
        			Copyright © tfgjgp.ddns.net 2017
                </td>
            </tr>
        </table>
  	</footer> 
</body>
</html>