<?php include ("../acceso/seguridad.php");	//verifica que el usuario está correctamente identificado?>

<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="utf-8"/>
   	<title>Inicio</title>
    <link rel="stylesheet" type="text/css" href="../css/style.css">
    <link rel="stylesheet" type="text/css" href="../css/menu.css">
    <link rel="stylesheet" type="text/css" href="../css/estiloTabla.css">
    <link rel="icon" type="image/png" href="../img/logo_raspy.png">
   	<!--incluimos jQuery para utilizar la instrucción Ajax que nos va a permitir solicitar la información al documento JSON-->
  	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
    <!--incluimos el código necesario para los medidores-->
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
      google.charts.load('current', {'packages':['gauge']});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
        var data = google.visualization.arrayToDataTable([
          ['Label', 'Value'],
          ['Temperatura', 0],
          ['Humedad', 0]

        ]);
        var options = {
          width: 400, height: 400,
          redFrom: 90, redTo: 100,
          yellowFrom:75, yellowTo: 90,
          minorTicks: 5
        };
        var chart = new google.visualization.Gauge(document.getElementById('Medidores'));
        chart.draw(data, options);
        setInterval(function() { //se ejecutará cada 1300 milisegundos
            var JSON=$.ajax({	//creamos una petición Ajax en 2º plano donde el usuario final no ve la solicitud
				url:"../controladores/controladorTermometros.php",	//url del archivo php que nos proporciona la información
                dataType: 'json',					//tipo de formato JSON
                async: false}).responseText;		//petición asíncrona con valor false
            var Respuesta=jQuery.parseJSON(JSON); 	//en Respuesta depositamos la conversión al formato JSON sobre el resultado de la petición Ajax

          data.setValue(0, 1,Respuesta[0].temperatura);	//posición 0, columna 1, valor de temperatura que viene del JSON
          data.setValue(1, 1,Respuesta[0].humedad);		//posición 1, columna 1, valor de humedad que viene del JSON
          chart.draw(data, options);
        }, 1300);	//cada 1300 milisegundos se actualiza la información
      }
    </script>

	<?php
		//nos conectamos a la Base de Datos
		include ("../controladores/controladorAccesoBD.php");
		//controladores que seleccionan los estados del sensor DHT-11, detector de gases y cámara: 1 (encendido) ó 0 (apagado)
		include ("../controladores/controladorEstadoDHT11.php");
		include ("../controladores/controladorEstadoHumo.php");
		include ("../controladores/controladorEstadoCamara.php");
		//controladores que seleccionan la configuración vigente del sensor DHT-11: Tª máxima permitida, valor de histéresis e intervalo de medida
		include ("../controladores/controladorConfigDHT11Tmax.php");
		include ("../controladores/controladorConfigDHT11Histeresis.php");
		include ("../controladores/controladorConfigDHT11Intervalo.php");
	?>
</head>

<body>
	<header> 
    	<img src="../img/logo_raspy.png" width="115" height="115" class="imgCabecera" align="absmiddle">
        <span class="tituloCabecera">Sistema de seguridad y monitorización basado en Raspberry Pi</span>
    </header>
    
    
    <div id="menu">
		<ul>
  			<li class="nivel1"><a href="./inicio.php" class="nivel1">Inicio</a></li>
  			<li class="nivel1"><a href="./camara.php" class="nivel1">Cámara</a>
           	 	<ul>
                    <li><a href="./galeria.php">Galería</a></li>
				</ul>
           	</li>
  			<li class="nivel1"><a href="./informes.php" class="nivel1">Informes</a>
				<ul>
                    <li><a href="./contenedorPDF.php">Informes Guardados</a></li>
				</ul>
			</li>
  			<li class="nivel1"><a href="./alertas.php" class="nivel1">Alertas</a></li>
  			<li class="nivel1"><a href="./control.php" class="nivel1">Control</a></li>
            <li class="cerrar"><a href="./salir.php" class="nivel1">Cerrar Sesión</a></li>
		</ul>
	</div>
 
 
	<section id="seccion0">
		<section id="seccion1">              
			<h1 class="titulo_seccion">Sensor DHT11</h1>
  			<br/>
           	<form method="post">
				<?php include ("../controladores/controladorEncendidoApagadoDHT11.php"); //controlador que gestiona el encendido/apagado del sensor DHT-11?>
 				<div id="Medidores" style="margin-left:35px; width:40%; height:auto; float:left"></div> <!--termómetro e higrómetro-->     
                <table class="table1" align="center" style="margin-right:35px; float:right">
                	<tr>
                    	 <!--American Society of heating, Refrigerating and Air-conditioning Engineers (ASHRAE) recomienda que el rango de temperatura para el funcionamiento de servidores sea de 18°C-27°C-->
                    	<th scope="row">Temperatura máxima</th>
                    	<td><select name="temperatura_maxima">
                    			<option value="29">29</option>
                    			<option value="28">28</option>
                    			<option selected value="27">27</option>
                    			<option value="26">26</option>
                    			<option value="25">25</option>
                                <option value="10">10</option>
                			</select> ºC</td>
                    	<td><?php echo mysql_result($resultado_temperatura_maxima,0);?></td>
                  </tr>
                  <tr>
                    	<th scope="row"><label for="Histeresis_Superior">Histéresis superior: </label></th>
                    	<td><select name="histeresis_superior">
                    			<option value="0">0</option>
                    			<option value="1">-1</option>
                    			<option selected value="2">-2</option>
                    			<option value="3">-3</option>
                    			<option value="4">-4</option>
                			</select> ºC</td>
                    	<td><?php echo mysql_result($resultado_histeresis_superior,0);?></td>
                  </tr>
                  <tr>
                    	<th scope="row"><label for="Refresco">Intervalo de medida: </label></th>
                    	<td><input type="text" name="refresco" id="refresco" size="1" maxlength="2" /> min.</td>
                    	<td><?php echo mysql_result($resultado_intervalo_medida,0);?></td>
                  </tr>
                  <tr>
                    	<th scope="row"><label for="Estado">Estado: </label></th>
                        <?php if (mysql_result($resultado_estado_dht11,0)){	//dependiendo de si está o no activado el sensor DHT-11?>
                    	<td colspan="2" style="color:#090">ACTIVADO</td>
                        <?php }else {?>
                        <td colspan="2" style="color:#F00">DESACTIVADO</td><?php } ?>
                  </tr>
				</table>
                <div style="clear: both"></div> <!--Elemento invisible después de todos los elementos posicionados de forma flotante para forzar a que el elemento contenedor tenga la altura suficiente y no descoloque los demás elementos-->
				<br/><br/>
                <table align="center" border="0" style="border-spacing:50px 2px;">
                	<tbody>
                    	<tr>
                        	<td><input class="boton-style" type="submit" name="activarDHT11" value="Activar DHT11"></td>
                            <td><input class="boton-style" type="submit" name="desactivarDHT11" value="Desactivar DHT11"></td>
                        </tr>
                    </tbody>
                </table>
			</form>        
		</section>
        	
      	<section id ="seccion2">
      		<br/><br/><br/>
            <h1 class="titulo_seccion">Sensor Humo</h1>
            <form method="post">
            	<table align="center" border="0" style="border-spacing:50px 2px;">
            		<tbody>
         				<tr>
                            <td style="text-align: center;"><button class="boton-style" name="activarHumo">Sensor Humo ON</td>
                            <td style="text-align: center;"><button class="boton-style" name="desactivarHumo">Sensor Humo OFF</button></td>
                        	<?php include ("../controladores/controladorEncendidoApagadoHumo.php");//controlador del encendido/apagado del detector de gases?>
                        	<td>
								<?php //dependiendo si el detector está encendido mostraremos una imagen u otra
									if (mysql_result($resultado_estado_humo,0)){?>
										<img src="../img/botonON.png">
								<?php } else{ ?>
                                    	<img src="../img/botonOFF.png">
                            	<?php } ?>
                        	</td>
          				</tr>
        			</tbody>
          		</table>
       		</form> 
            <br/>  
        </section>
        
        <section id ="seccion3">
        	<h1 class="titulo_seccion">Estado de los actuadores</h1>
            <br/>
        	<table class="table1" align="center">
            	<tbody>
                	<tr>
                    	<th scope="row">Alarma</th>
                        <td>
                        	<?php
								//en esta ocasion no se obtiene de la BD el valor de $estado_alarma, se obtiene consultando directamente el estado del GPIO
								//exec no imprime por pantalla la salida, system si (ambos la guardan en la variable)
								$estado_alarma = exec('sudo python /home/pi/Actuadores/consultaEstadoGPIO.py 26');
								if ($estado_alarma == 1){ //dependiendo si está activada o no mostraremos una imagen u otra?>
									<img src="../img/on.png">
							<?php } else{ ?>
									<img src="../img/off.png">
							<?php } ?>
                        </td>
                    </tr>
                    <tr>
                    	<th scope="row">Regulador Temp.</th>
                        <td>
                        	<?php
								//en esta ocasion no se obtiene de la BD el valor de $estado_regulador, se obtiene consultando directamente el estado del GPIO
								//exec no imprime por pantalla la salida, system si (ambos la guardan en la variable)
								$estado_regulador = exec('sudo python /home/pi/Actuadores/consultaEstadoGPIO.py 21');
								if ($estado_regulador == 1){ //dependiendo si está activado o no mostraremos una imagen u otra?>
									<img src="../img/on.png">
							<?php } else{ ?>
									<img src="../img/off.png">
							<?php } ?>
                        </td>
                    </tr>
                    <tr>
                    	<th scope="row">piCamera</th>
                        <td>
                        	<?php //consultamos con la BD el estado de la cámara, y dependiendo si esta encendida o apagada mostraremos una imagen u otra
								if (mysql_result($resultado_estado_PiCamera,0)){ ?>
									<img src="../img/on.png">
							<?php } else{ ?>
                              		<img src="../img/off.png">
                            <?php } ?>
                        </td>
                    </tr> 
                </tbody>
        	</table>
            <br/>       
        </section>
        
        <?php
			mysql_free_result($resultado_estado_dht11); //liberamos memoria
			mysql_free_result($resultado_estado_humo);
			mysql_free_result($resultado_estado_PiCamera);
			mysql_free_result($resultado_temperatura_maxima);
			mysql_free_result($resultado_histeresis_superior);
			mysql_free_result($resultado_intervalo_medida);
			mysql_close($bdconex); //nos desconectamos de la base de datos
		?>   
	</section>
    
    
   	<footer>
    	<table id="pie" align="center" width="100%">
        	<tr>
            	<td id="pie_izquierda">
                	<b>Autor:</b> Javier García Prieto
            		<br/>
            		<b>Contacto:</b> <a href="mailto:javier.garcia.prieto@alumnos.uva.es" style="text-decoration:none; color:#FFF">javier.garcia.prieto@alumnos.uva.es
                </td>
                <td id="pie_derecha">
                	<b>Trabajo de Fin de Grado:</b>
            		<br/>
            		"Sistema de seguridad y monitorización basado en Raspberry Pi"
                </td>
            </tr>
            <tr>
                <td id="pie_centro" colspan="2">
               		Universidad de Valladolid
        			<br/>
        			Copyright © tfgjgp.ddns.net 2017
                </td>
            </tr>
        </table>
  	</footer> 
</body>
</html>